gnutls_openpgp_keyring_import(3)

NAME
gnutls_openpgp_keyring_import - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_keyring_import(gnutls_openpgp_keyring_t keyring, const gnutls_datum_t * data, gnutls_openpgp_crt_fmt_t format);

ARGUMENTS

gnutls_openpgp_keyring_t keyring
    The structure to store the parsed key.

const gnutls_datum_t * data
    The RAW or BASE64 encoded keyring.

gnutls_openpgp_crt_fmt_t format
    One of gnutls_openpgp_keyring_fmt elements.

DESCRIPTION
This function will convert the given RAW or Base64 encoded keyring to the native gnutls_openpgp_keyring_t format. The output will be stored in 'keyring'.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/